Name:          jgoodies-common
Version:       1.2.1
Release:       %mkrel 3
Summary:       JGoodies Common description
Group:         Development/Java
License:       BSD
Url:           http://www.jgoodies.com/
Source0:       http://www.jgoodies.com/download/libraries/common/jgoodies-common-1_2_1.zip
Source1:       jgoodies-common-pom-template.xml

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
JGoodies Common is a free and open source Java library which provides
convenience code for JGoodies libraries and applications.

%package javadoc
Summary:       Javadoc documentation for JGoodies Common library
Group:         Development/Java

%description javadoc
This package contains the Javadoc documentation for JGoodies Common library.

%prep
%setup -q -n jgoodies-common-%{version}

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

%build
%ant jar javadoc
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644  build/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 355378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 1.2.1-2.mga3
+ Revision: 331460
- revert to 1.2.1
- new version 1.4.0

* Fri Oct 21 2011 gil <gil> 1.2.1-1.mga2
+ Revision: 157170
- imported package jgoodies-common

